Bug 1018677 - Chapter should contain section for every GA release
Chapter should contain section for every GA release
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: sgilda
Russell Dickenson
Depends On:
  Show dependency treegraph
Reported: 2013-10-14 03:33 EDT by Petr Sakař
Modified: 2014-08-14 11:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Build Name: 14877, Migration Guide-6.2-1 Build Date: 02-10-2013 13:32:44 Topic ID: 4613-460336 [Latest]
Last Closed: 2013-11-01 08:38:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Sakař 2013-10-14 03:33:42 EDT
Title: Configure JAX-RS and RESTEasy Changes

Describe the issue:
Chapter should contain sections for each released version 

Migration from EAP 5.0.0 to 5.0.1
Migration from EAP 5.0.1 to 5.1.0
Migration from EAP 5.1.0 to 5.1.1
Migration from EAP 5.1.1 to 5.1.2
Migration from EAP 5.1.2 to 5.2.0
Migration from EAP 5.2.0 to 6.0
Migration from EAP 6.0 to 6.0.1
Migration from EAP 6.0.1 to 6.1.0
Migration from EAP 6.1.0 to 6.1.1
Migration from EAP 6.1.1 to 6.2.0

Additional information:
If there are no tasks involved in migration, should be stated so (do not omit the section please)

Suggestions for improvement:

Additional information:
Comment 1 sgilda 2013-10-14 07:58:23 EDT
Migration from EAP 5 point releases to other EAP 5 point releases is not part of the EAP 6 Migration Guide. That guide is solely for migration of previous releases to EAP 6.

Russell, do you know anything about a migration guide for EAP 5?

I am not aware of any migration necessary between 6.0 and 6.2 and there should be no migration issues between point releases. If there are, no one has made me aware of them.
Comment 2 Petr Sakař 2013-10-14 08:26:45 EDT
from comment #12 is not clear if the migration guide describes migrations starting 6.0 or 5.2. 
In first case (migration starting 6.0) it should be clearly stated in chapter "1.2. About the Migration Guide" and point to the migration guide for EAP 5 for previous versions. In such case also the information related to migration from 5 to 6 should be removed.  
In second case (migration starting 5.?) the starting version should be clearly stated in chapter "1.2. About the Migration Guide" and point to the respective migration guide for previous versions. 

In any case the migration should be described by version increments.
Comment 3 sgilda 2013-10-14 09:07:51 EDT
I was tasked with EAP 6 migration only. In 'About the Migration Guide', it states several times that the guide targets migration from JBoss EAP 5.1 to JBoss EAP 6.

At the time the Migration Guide for EAP 6.0 was written, there was no Migration Guide for EAP 5.x. I am not aware whether a guide currently exists and I do not see a Migration Guide under JBoss Enterprise Application Platform 5 here: 


Russell was involved with EAP 5 so he may be able to answer these questions.
Comment 5 sgilda 2013-11-01 08:38:50 EDT
The EAP 5.x --> EAP 5.x changes are not within the scope of the EAP 6 Migration Guide. Since there is no EAP 5 Migration Guide to point to, there is not much I can do with this bug. 

This bug is too vague and open ended to address. If new JAX-RS or RESTEasy changes occur with an EAP 6.x point release, please enter a bug for the change and I will document it in the Migration Guide.

Note You need to log in before you can comment on or make changes to this bug.